# $Revision: 1.68 $, $Date: 2007-04-21 20:53:23 $
# TODO:
# - separate packages (eg. brm, KdeQt - with R: python-PyKDE)
#
%define		tar_name	eric
Summary:	Eric3 is a full featured Python IDE
Summary(pl.UTF-8):	Eric3 - pełnowartościowe IDE dla Pythona
Name:		eric3
Version:	3.9.5
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	http://dl.sourceforge.net/eric-ide/%{tar_name}-%{version}.tar.gz
# Source0-md5:	63d6fb3c302b603577554af62520c948
Source1:	%{name}.desktop
URL:		http://www.die-offenbachs.de/detlev/eric3.html
BuildRequires:	python-PyQt >= 3.15
BuildRequires:	qscintilla-devel >= 1:1.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-PyQt >= 3.15
Requires:	python-devel-tools
Obsoletes:	eric
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eric3 is a full featured Python IDE that is written in PyQt using the
QScintilla editor widget.

%description -l pl.UTF-8
Eric3 jest pełnowartościowym IDE dla Pythona napisanym w PyQt i
używającym edytora QScintilla.

%package doc
Summary:	Documentation for Eric3
Summary(pl.UTF-8):	Dodatkowa dokumentacja dla Eric3
Group:		X11/Development/Tools
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for Eric3.

%description doc -l pl.UTF-8
Dodatkowa dokumentacja dla Eric3.

%prep
%setup -q -n %{tar_name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_docdir}/%{name},%{_pixmapsdir},%{_desktopdir}}

python install.py -c -b %{_bindir} -d %{py_sitedir} -i $RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}/*
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/*

cp $RPM_BUILD_ROOT%{py_sitedir}/%{name}/icons/default/eric.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
install %SOURCE1 $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

# NOTE: eric3 uses *.py files for it's own purposes
# so do not remove them from package

%files
%defattr(644,root,root,755)
%doc README* THANKS
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/eric3config.py
%{py_sitedir}/sitecustomize.py
%{py_sitedir}/%{name}
%exclude %{py_sitedir}/%{name}/Documentation
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%files doc
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{name}/Documentation
%{py_sitedir}/%{name}/Documentation/mod_python.*
%{py_sitedir}/%{name}/Documentation/Source

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eric3.spec,v $
Revision 1.68  2007-04-21 20:53:23  adamg
- updated to 3.9.5

Revision 1.67  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.65  2006/12/30 19:02:22  rotom
- 3.9.4

Revision 1.64  2006/12/24 22:34:25  charles
- updated to 3.9.3

Revision 1.63  2006/11/12 17:49:41  rotom
- up to 3.9.2

Revision 1.62  2006/06/24 18:41:20  charles
- updated to 3.9.1

Revision 1.61  2006/04/30 15:24:28  charles
- updated to 3.9.0

Revision 1.60  2006/03/25 11:08:58  matkor
- Updated to 3.8.2-1. Fix for PyQt 3.16. Should python-PyQt-3.16 have Conflicts: eric3 < 3.8.2 ?

Revision 1.59  2005/12/24 22:35:58  arekm
- rel 2; fix R in doc subpackage

Revision 1.58  2005/12/18 19:51:06  charles
- updated to 3.8.1

Revision 1.57  2005/11/13 11:20:09  charles
- rel. 1

Revision 1.56  2005/11/07 15:48:41  charles
- updated to 3.8.0
- -doc split
- simplified %files

Revision 1.55  2005/09/19 14:50:41  charles
- updated to 3.7.2
- BR/R python-PyQt up to >= 3.15
- BR: rpm-pythonprov is back

Revision 1.54  2005/08/04 11:32:54  charles
- removed py_sitedir

Revision 1.53  2005/08/04 10:43:18  arekm
- up to 3.7.1.

Revision 1.52  2005/06/04 20:55:39  charles
- updated to 3.7.0
- simplified %files

Revision 1.51  2005/03/10 10:57:32  charles
- BR: python
- rm obsolete BR: rpm-pythonprov
- Source0 unified

Revision 1.50  2005/02/20 23:04:05  charles
- updated to 3.6.2 (compatible with the latest sip/PyQt)

Revision 1.49  2005/02/01 21:39:07  charles
- updated to 3.6.1 (bugfixes)

Revision 1.48  2005/01/23 18:50:10  charles
- updated to 3.6.0 final

Revision 1.47  2005/01/18 03:43:28  charles
- fix %files
- added documentation

Revision 1.46  2005/01/17 23:36:07  charles
- ver 3.6 snapshot 20041223

Revision 1.45  2005/01/10 06:23:13  havner
- wrr

Revision 1.44  2005/01/10 06:21:41  havner
- reverted

Revision 1.43  2005/01/09 21:39:37  matkor
- Release 3. STBR for Ac. %pyrequires_eq python-modules -> R: python-modules. Eric is pure Python app.

Revision 1.42  2004/12/24 21:44:52  arekm
- rel 2

Revision 1.41  2004/11/28 14:08:08  matkor
- Version 3.5.1-1 STBR for Ac-test. Changed BR: python-PyQt-devel to python-PyQt.

Revision 1.40  2004/11/20 18:02:46  qboosh
- some cleanups

Revision 1.39  2004/11/19 23:21:38  undefine
- add desktop file and icon

Revision 1.38  2004/11/11 13:39:54  ankry
- spaces -> tabs

Revision 1.37  2004/11/11 13:10:13  matkor
- Snap 20041029. STBR for Ac-test.

Revision 1.36  2004/10/22 12:37:47  matkor
- Snap 20041017. Added DTDs, config files. STBR for Ac-test.

Revision 1.35  2004/10/15 09:27:38  matkor
- Version 3.5.0-1. STBR

Revision 1.34  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.33  2004/05/08 13:22:27  arekm
- update to 3.4.2; fix installation when eric3 is already installed

Revision 1.32  2004/04/05 08:11:52  matkor
- Version 3.4.1-1.

Revision 1.31  2004/01/18 16:44:52  matkor
- Version 3.3.1-1.

Revision 1.30  2003/12/06 11:21:11  matkor
- Version 3.3. Release 1.

Revision 1.29  2003/12/01 23:14:22  matkor
- R: python-devel-tools added.

Revision 1.28  2003/11/23 15:44:52  matkor
- Reverted last change (wrong branch).

Revision 1.26  2003/11/15 11:07:57  matkor
- Snapshot 20031025. Release 1.

Revision 1.25  2003/11/08 00:33:59  matkor
- Snap 20030920. Release 5.

Revision 1.24  2003/09/20 15:03:44  matkor
- Snap 20030920.

Revision 1.23  2003/09/14 15:45:50  matkor
- Fixed md5, fixed release.

Revision 1.22  2003/09/14 15:39:00  matkor
- Snap 20030914. Not tested.

Revision 1.21  2003/08/18 14:23:46  matkor
- More fixes in files list.

Revision 1.20  2003/08/18 11:31:20  matkor
- Obs: eric

Revision 1.19  2003/08/18 11:06:49  matkor
- Updated files list. Release 2.

Revision 1.18  2003/08/18 08:37:51  luzik
 - added Epoch to BR qscintilla-devel

Revision 1.17  2003/08/18 08:20:47  ankry
- fixed reease and md5

Revision 1.16  2003/08/18 07:49:44  qboosh
- cleanups, pl fix

Revision 1.15  2003/08/17 23:28:22  luzik
 - updated

Revision 1.14  2003/08/14 19:52:37  ankry
- use macro, standard BuildRoot

Revision 1.13  2003/08/14 18:51:55  luzik
 - change %{name} to eric3

Revision 1.12  2003/08/14 17:12:29  matkor
- Snapshot 20030810. Release 1.

Revision 1.11  2003/08/10 09:52:48  matkor
- Note about existance of *.py files added.

Revision 1.10  2003/08/09 13:14:04  luzik
 - added *.py files
 - fixed %install
 - TODO done

Revision 1.9  2003/08/09 08:20:23  matkor
- Requires:     python-PyQt >= 3.7, more TODO (sed adept needed)

Revision 1.8  2003/08/08 21:23:42  matkor
- Version 3.2. Added files list. Untested.

Revision 1.7  2003/06/16 15:03:24  ankry
- fixed md5
NOTE only 3.1 is available from the home site

Revision 1.6  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:47:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/11 09:23:59  qboosh
- qt-static is not necessary

Revision 1.3  2003/03/09 15:32:21  qboosh
- pl fixes, cleanup, clean BuildRoot before installing; is qt-static needed???

Revision 1.2  2003/02/28 10:07:50  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.1  2003/02/25 21:39:22  misiek
- initial pld release (spec by Maciej Świniarski (luzik) <luzik@ds.pg.gda.pl>)
